#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD8,0xE1,0xB6,0x84,0x5C,0x86,0x10,0x43,0x66,0x1C,0xB2,0x72,
		0x05,0xC9,0xF3,0xC9,0x43,0x51,0x5E,0x61,0xCB,0xB9,0x26,0x1E,
		0x90,0x54,0x99,0x63,0xB3,0x1B,0xA4,0xE7,0x5A,0xF2,0xFD,0xF3,
		0xA7,0xB2,0x35,0xBB,0x24,0xD5,0xDC,0xC2,0x8D,0xF8,0xDD,0x36,
		0x8E,0x9B,0xDE,0x95,0x86,0x4F,0x66,0xC3,0x38,0x05,0xBD,0x24,
		0x5D,0xC9,0x01,0x2F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
